Subject: bug#36496: [PATCH] Describe the rx notation in the lisp manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jul 2019 14:41:28 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Sat, 6 Jul 2019 13:33:35 +0200
> Cc: [email-masked]
> 
> diff --git a/doc/lispref/searching.texi b/doc/lispref/searching.texi
> index ef1cffc446..17c4790f5e 100644
> --- a/doc/lispref/searching.texi
> +++ b/doc/lispref/searching.texi
> @@ -254,6 +254,9 @@ Regular Expressions
>  @menu
>  * Syntax of Regexps::       Rules for writing regular expressions.
>  * Regexp Example::          Illustrates regular expression syntax.
> +@ifnottex
> +* Rx Notation::             An alternative, structured regexp notation.
> +@end ifnottex
>  * Regexp Functions::        Functions for operating on regular expressions.
>  @end menu

I believe you need the same conditional addition in elisp.texi, in the
detailed menu there.

> * lisp/emacs-lisp/rx.el (rx): Replace long description with a condensed
> summary of the rx syntax, with reference to the manual section.

This is OK, but it is inconsistent wrt whether each construct's
description ends in a period.  I suggest to end them all with a
period.

Thanks.